Subject: Re: standalone cygwin programs that use "/tmp" don't work
From: Corinna Vinschen <[email-masked]>
To: "John R. McPherson" <[email-masked]>
Cc: cygwin <[email-masked]>
Date: Tue, 13 Aug 2002 12:48:02 +0200

On Tue, Aug 13, 2002 at 04:28:43PM +1200, John R. McPherson wrote:
> Our windows distribution includes these binaries as well as cygwin1.dll.

Do you distribute also the source code of the Cygwin version you're
using according to the Cygwin license?

> Other than forcing users to create a "X:\\tmp" directory (or doing this
> during installation) or modifying the source code for these 3rd-party
> packages, is there any way to get the dll to use windows's %TEMP%
> or %TMPDIR% environment variables?

No.  These functions are implemented according to POSIX standards.
If you need other paths you'll have to change the sources.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/